Package groovy.swing.model

# Class PropertyModel

java.lang.Object
groovy.swing.model.PropertyModel

All Implemented Interfaces:
  `NestedValueModel`, `ValueModel`

    public class PropertyModel
    extends Object
    implements ValueModel, NestedValueModel

Represents a property of a value as a model.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PropertyModel​(ValueModel sourceModel, String property)` |
  `PropertyModel​(ValueModel sourceModel, String property, Class type)` |
  `PropertyModel​(ValueModel sourceModel, String property, Class type, boolean editable)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `String` | `getProperty()` |
  `ValueModel` | `getSourceModel()` |
  `Class` | `getType()` |
  `Object` | `getValue()` |
  `boolean` | `isEditable()` |
  `void` | `setValue​(Object value)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyModel

    public PropertyModel​(ValueModel sourceModel, String property)

  - ### PropertyModel

    public PropertyModel​(ValueModel sourceModel, String property, Class type)

  - ### PropertyModel

    public PropertyModel​(ValueModel sourceModel, String property, Class type, boolean editable)

- ## Method Details

  - ### getProperty

    public String getProperty()

  - ### getSourceModel

    public ValueModel getSourceModel()
    Specified by:
      `getSourceModel` in interface `NestedValueModel`

  - ### getValue

    public Object getValue()
    Specified by:
      `getValue` in interface `ValueModel`

  - ### setValue

    public void setValue​(Object value)
    Specified by:
      `setValue` in interface `ValueModel`

  - ### getType

    public Class getType()
    Specified by:
      `getType` in interface `ValueModel`

  - ### isEditable

    public boolean isEditable()
    Specified by:
      `isEditable` in interface `ValueModel`